function log(...)
  local T={}
  for k,v in ipairs({...}) do T[k]=tostring(v) end
  LOG[#LOG+1]=table.concat(T, ' ')
  if #LOG>20 then table.remove(LOG, 1) end
end

function love.load()
  LOG={}
  log('Loading data')
  require 'f1'
  require 'f2'
  log('Data loaded:', Player, Board)
end

function love.draw()
  love.graphics.print(tostring(Player)..tostring(Board), 20, 20)
  for k,v in ipairs(LOG) do
    love.graphics.print(v, 0, 20+k*20)
  end
end

local rnd=math.random
function love.keypressed(a, b)
  if a=='r' then
    log('Reloading...')
    love.filesystem.load("main.lua")() love.load()
  else
    --local a,b,c,d=rnd(100), rnd(100), rnd(100), rnd(100)
    Player.x, Player.y=math.random(100), math.random(100)
    Board.x, Board.y=math.random(100), math.random(100)
    log('Changing data:', Player, Board)
  end
end


